# QPointF Class Reference

### [com.trolltech.qt.core package]

### Constructor

- void QPointF()
- void QPointF(QPoint p)
- void QPointF(qreal xpos, qreal ypos)

### Constructor Properties

- prototype: The QPointF prototype object

### Prototype Object Properties

- bool isNull()
- qreal manhattanLength()
- QPointF operator_add_assign(QPointF p)
- QPointF operator_divide_assign(qreal c)
- bool operator_equal(QPointF p2)
- QPointF operator_multiply_assign(qreal c)
- QPointF operator_subtract_assign(QPointF p)
- void readFrom(QDataStream arg__1)
- void setX(qreal x)
- void setY(qreal y)
- QPoint toPoint()
- void writeTo(QDataStream arg__1)
- qreal x()
- qreal y()

### Instance Properties

QPointF objects have no special properties beyond those inherited from the QPointF prototype object.